
<h3>How to use</h3>
<ol>
<li><p>Install module and visit the configuration page at <code>admin/config/services/urban-airship-web-push-notifications</code>.</p>
</li>
<li><p>In the <em>Credentials</em> tab, set the <strong>App Key</strong> and the <strong>App Master Secret</strong> form items. Credentials can be found in your Urban Airship dashboard.</p>
</li>
<li><p>In the <em>SDK Bundle</em> tab, upload the SDK zip file from your Urban Airship account. For more information about the contents of the SDK bundle, please see the <a href="https://docs.urbanairship.com/platform/web/#getting-started" target="_blank">Urban Airship documentation</a>.</p>
</li>
<li><p>In the <em>Opt-in Prompt</em> tab, configure the behavior and appearance of your opt-in prompt. For additional details on creating or using a custom opt-in, please see the <a href="https://docs.urbanairship.com/platform/web/#registration-ui" target="_blank">Urban Airship documentation</a>.</p>
</li>
<li><p>Enable notifications on the desired content types by visiting that content types edit page. Select the <em>Urban Airship Web Push Notifications</em> tab and check the <strong>Enable notifications</strong> checkbox. You may also set the default notification text to be used by all nodes of that content type.</p>
</li>
<li><p>Once web notifications are enabled for a specific content type, add a new node or edit an existing node.</p>
</li>
<li><p>Select the <em>Urban Airship Web Push Notifications</em> tab. From here, you can set the notification title, icon, text and action URL for the notification you wish to send. If the title, icon, or action URL fields are left blank, the defaults from your configuration file will be used for these fields. Check the <strong>Send web notification on save</strong> box to instantly send a web push notification upon saving your node.</p>
</li>
</ol>

<h3>Important</h3>

<p>Mixed HTTPS sites will need to ensure that both of these paths are available on the secure site:</p>
<ul>
<li><code>/push-worker.js</code></li>
<li><code>/web-push-secure-bridge.html</code></li>
</ul>
<p>Make sure to clear Drupal cache after you switch <code>Prompt for Notifications</code> mode in order to see the changes.</p>
<p>In addition, these sites will need to have a registration page that is served over HTTPS for users to opt in to notifications. For more information, see the <a href="https://docs.urbanairship.com/platform/secure-integration/" target="_blank">Urban Airship documentation on secure integration</a>.</p>

<h3>API</h3>

<p>You can use <code>hook_urban_airship_web_push_notifications_alter()</code> in your custom module to programatically alter the notification title, body, icon and action url as needed. This hook has access to the current node object, so it is possible to make alterations to the notification based on things like a taxonomy field value or a date associated with that node.</p>

<h3>Theming</h3>
<p>The notification template can be found at <code>templates/urban-airship.html.twig</code> in the root directory of the module. 
Further alterations to the notifications and template suggestions can be created by overriding <code>THEME_preprocess_urban_airship()</code> in your own theme.</p>

<h3>Settings.php overrides</h3>
<p>If the unzip option is not available on the SDK Bundle page it can be configured in your settings.php. </p>
<p>// Contents of <code>push-worker.js</code> file
<code>$config[&#39;urban_airship_web_push_notifications.configuration&#39;][&#39;push-worker&#39;][&#39;js&#39;] = &quot;&quot;;</code></p>
<p>// Contents of <code>snippet.html</code> file
<code>$config[&#39;urban_airship_web_push_notifications.configuration&#39;][&#39;snippet&#39;][&#39;html&#39;] = &quot;&quot;;</code></p>
<p>// Contents of <code>secure-bridge.html</code> file
<code>$config[&#39;urban_airship_web_push_notifications.configuration&#39;][&#39;secure-bridge&#39;][&#39;html&#39;] = &quot;&quot;;</code></p>
